# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

- org.apache.tools.ant.ComponentHelper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPONENT_HELPER_REFERENCE`
  `"ant.ComponentHelper"`
- org.apache.tools.ant.DefaultLogger
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LEFT_COLUMN_SIZE`
  `12`
- org.apache.tools.ant.Diagnostics
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `ERROR_PROPERTY_ACCESS_BLOCKED`
  `"Access to this property blocked by a security manager"`
- org.apache.tools.ant.DirectoryScanner
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DOES_NOT_EXIST_POSTFIX`
  `" does not exist."`
  `public static final int`
  `MAX_LEVELS_OF_SYMLINKS`
  `5`
- org.apache.tools.ant.IntrospectionHelper
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `NOT_SUPPORTED_CHILD_POSTFIX`
  `"\" element."`
  `protected static final String`
  `NOT_SUPPORTED_CHILD_PREFIX`
  `" doesn\'t support the nested \""`
- org.apache.tools.ant.MagicNames
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANT_CORE_PACKAGE`
  `"org.apache.tools.ant"`
  `public static final String`
  `ANT_EXECUTOR_CLASSNAME`
  `"ant.executor.class"`
  `public static final String`
  `ANT_EXECUTOR_REFERENCE`
  `"ant.executor"`
  `public static final String`
  `ANT_FILE`
  `"ant.file"`
  `public static final String`
  `ANT_FILE_TYPE`
  `"ant.file.type"`
  `public static final String`
  `ANT_FILE_TYPE_FILE`
  `"file"`
  `public static final String`
  `ANT_FILE_TYPE_URL`
  `"url"`
  `public static final String`
  `ANT_HOME`
  `"ant.home"`
  `public static final String`
  `ANT_JAVA_VERSION`
  `"ant.java.version"`
  `public static final String`
  `ANT_LIB`
  `"ant.core.lib"`
  `public static final String`
  `ANT_SHELL_LAUNCHER_REF_ID`
  `"ant.shellLauncher"`
  `public static final String`
  `ANT_VERSION`
  `"ant.version"`
  `public static final String`
  `ANT_VM_LAUNCHER_REF_ID`
  `"ant.vmLauncher"`
  `public static final String`
  `ANTLIB_PREFIX`
  `"antlib:"`
  `public static final String`
  `ATTRIBUTE_NAMESPACE`
  `"attribute namespace"`
  `public static final String`
  `AUTO_TMPDIR`
  `"ant.auto.tmpdir"`
  `public static final String`
  `BUILD_JAVAC_SOURCE`
  `"ant.build.javac.source"`
  `public static final String`
  `BUILD_JAVAC_TARGET`
  `"ant.build.javac.target"`
  `public static final String`
  `BUILD_SYSCLASSPATH`
  `"build.sysclasspath"`
  `public static final String`
  `DISABLE_NASHORN_COMPAT`
  `"ant.disable.graal.nashorn.compat"`
  `public static final String`
  `HTTP_AGENT_PROPERTY`
  `"ant.http.agent"`
  `public static final String`
  `PROJECT_BASEDIR`
  `"basedir"`
  `public static final String`
  `PROJECT_DEFAULT_TARGET`
  `"ant.project.default-target"`
  `public static final String`
  `PROJECT_HELPER_CLASS`
  `"org.apache.tools.ant.ProjectHelper"`
  `public static final String`
  `PROJECT_HELPER_SERVICE`
  `"META-INF/services/org.apache.tools.ant.ProjectHelper"`
  `public static final String`
  `PROJECT_INVOKED_TARGETS`
  `"ant.project.invoked-targets"`
  `public static final String`
  `PROJECT_NAME`
  `"ant.project.name"`
  `public static final String`
  `REFID_CLASSPATH_LOADER_PREFIX`
  `"ant.loader."`
  `public static final String`
  `REFID_CLASSPATH_REUSE_LOADER`
  `"ant.reuse.loader"`
  `public static final String`
  `REFID_LOCAL_PROPERTIES`
  `"ant.LocalProperties"`
  `public static final String`
  `REFID_PROJECT_HELPER`
  `"ant.projectHelper"`
  `public static final String`
  `REFID_PROPERTY_HELPER`
  `"ant.PropertyHelper"`
  `public static final String`
  `REGEXP_IMPL`
  `"ant.regexp.regexpimpl"`
  `public static final String`
  `REPOSITORY_DIR_PROPERTY`
  `"ant.maven.repository.dir"`
  `public static final String`
  `REPOSITORY_URL_PROPERTY`
  `"ant.maven.repository.url"`
  `public static final String`
  `SCRIPT_CACHE`
  `"org.apache.ant.scriptcache"`
  `public static final String`
  `SCRIPT_REPOSITORY`
  `"org.apache.ant.scriptrepo"`
  `public static final String`
  `SYSTEM_LOADER_REF`
  `"ant.coreLoader"`
  `public static final String`
  `TASKDEF_PROPERTIES_RESOURCE`
  `"/org/apache/tools/ant/taskdefs/defaults.properties"`
  `public static final String`
  `TMPDIR`
  `"ant.tmpdir"`
  `public static final String`
  `TSTAMP_NOW`
  `"ant.tstamp.now"`
  `public static final String`
  `TSTAMP_NOW_ISO`
  `"ant.tstamp.now.iso"`
  `public static final String`
  `TYPEDEFS_PROPERTIES_RESOURCE`
  `"/org/apache/tools/ant/types/defaults.properties"`
  `public static final String`
  `WARN_SECURITY_MANAGER_USAGE`
  `"ant.securitymanager.usage.warn"`
- org.apache.tools.ant.Main
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_BUILD_FILENAME`
  `"build.xml"`
- org.apache.tools.ant.Project
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JAVA_1_0`
  `"1.0"`
  `public static final String`
  `JAVA_1_1`
  `"1.1"`
  `public static final String`
  `JAVA_1_2`
  `"1.2"`
  `public static final String`
  `JAVA_1_3`
  `"1.3"`
  `public static final String`
  `JAVA_1_4`
  `"1.4"`
  `public static final int`
  `MSG_DEBUG`
  `4`
  `public static final int`
  `MSG_ERR`
  `0`
  `public static final int`
  `MSG_INFO`
  `2`
  `public static final int`
  `MSG_VERBOSE`
  `3`
  `public static final int`
  `MSG_WARN`
  `1`
  `public static final String`
  `TOKEN_END`
  `"@"`
  `public static final String`
  `TOKEN_START`
  `"@"`
- org.apache.tools.ant.ProjectHelper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANT_ATTRIBUTE_URI`
  `"ant:attribute"`
  `public static final String`
  `ANT_CORE_URI`
  `"antlib:org.apache.tools.ant"`
  `public static final String`
  `ANT_CURRENT_URI`
  `"ant:current"`
  `public static final String`
  `ANT_TYPE`
  `"ant-type"`
  `public static final String`
  `ANTLIB_URI`
  `"antlib:"`
  `public static final String`
  `HELPER_PROPERTY`
  `"org.apache.tools.ant.ProjectHelper"`
  `public static final String`
  `PROJECTHELPER_REFERENCE`
  `"ant.projectHelper"`
  `public static final String`
  `SERVICE_ID`
  `"META-INF/services/org.apache.tools.ant.ProjectHelper"`
  `public static final String`
  `USE_PROJECT_NAME_AS_TARGET_PREFIX`
  `"USE_PROJECT_NAME_AS_TARGET_PREFIX"`

- org.apache.tools.ant.helper.ProjectHelper2
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `REFID_TARGETS`
  `"ant.targets"`

- org.apache.tools.ant.input.PropertyFileInputHandler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FILE_NAME_KEY`
  `"ant.input.properties"`

- org.apache.tools.ant.launch.Launcher
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANT_PRIVATEDIR`
  `".ant"`
  `public static final String`
  `ANT_PRIVATELIB`
  `"lib"`
  `public static final String`
  `ANTHOME_PROPERTY`
  `"ant.home"`
  `public static final String`
  `ANTLIBDIR_PROPERTY`
  `"ant.library.dir"`
  `protected static final int`
  `EXIT_CODE_ERROR`
  `2`
  `public static final String`
  `MAIN_CLASS`
  `"org.apache.tools.ant.Main"`
  `public static final String`
  `USER_HOMEDIR`
  `"user.home"`
- org.apache.tools.ant.launch.Locator
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_NOT_FILE_URI`
  `"Can only handle valid file: URIs, not "`

- org.apache.tools.ant.listener.BigProjectLogger
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FOOTER`
  `"======================================================================"`
  `public static final String`
  `HEADER`
  `"======================================================================"`
- org.apache.tools.ant.listener.CommonsLoggingListener
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROJECT_LOG`
  `"org.apache.tools.ant.Project"`
  `public static final String`
  `TARGET_LOG`
  `"org.apache.tools.ant.Target"`
- org.apache.tools.ant.listener.Log4jListener
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LOG_ANT`
  `"org.apache.tools.ant"`
- org.apache.tools.ant.listener.TimestampedLogger
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SPACER`
  `" - at "`

- org.apache.tools.ant.taskdefs.AbstractCvsTask
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_COMPRESSION_LEVEL`
  `3`
- org.apache.tools.ant.taskdefs.AbstractJarSignerTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_NO_SOURCE`
  `"jar must be set through jar attribute or nested filesets"`
  `protected static final String`
  `JARSIGNER_COMMAND`
  `"jarsigner"`
- org.apache.tools.ant.taskdefs.Antlib
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TAG`
  `"antlib"`
- org.apache.tools.ant.taskdefs.Classloader
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SYSTEM_LOADER_REF`
  `"ant.coreLoader"`
- org.apache.tools.ant.taskdefs.CopyPath
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_NO_DESTDIR`
  `"No destDir specified"`
  `public static final String`
  `ERROR_NO_MAPPER`
  `"No mapper specified"`
  `public static final String`
  `ERROR_NO_PATH`
  `"No path specified"`
- org.apache.tools.ant.taskdefs.Definer.Format
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `PROPERTIES`
  `0`
  `public static final int`
  `XML`
  `1`
- org.apache.tools.ant.taskdefs.Definer.OnError
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `FAIL`
  `0`
  `public static final int`
  `FAIL_ALL`
  `3`
  `public static final int`
  `IGNORE`
  `2`
  `public static final String`
  `POLICY_FAIL`
  `"fail"`
  `public static final String`
  `POLICY_FAILALL`
  `"failall"`
  `public static final String`
  `POLICY_IGNORE`
  `"ignore"`
  `public static final String`
  `POLICY_REPORT`
  `"report"`
  `public static final int`
  `REPORT`
  `1`
- org.apache.tools.ant.taskdefs.Execute
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INVALID`
  `2147483647`
- org.apache.tools.ant.taskdefs.ExecuteOn.FileDirBoth
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DIR`
  `"dir"`
  `public static final String`
  `FILE`
  `"file"`
- org.apache.tools.ant.taskdefs.Expand
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_MULTIPLE_MAPPERS`
  `"Cannot define more than one mapper"`
  `public static final String`
  `NATIVE_ENCODING`
  `"native-encoding"`
- org.apache.tools.ant.taskdefs.FixCRLF
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_FILE_AND_SRCDIR`
  `"<fixcrlf> error: srcdir and file are mutually exclusive"`
- org.apache.tools.ant.taskdefs.MakeUrl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_MISSING_FILE`
  `"A source file is missing: "`
  `public static final String`
  `ERROR_NO_FILES`
  `"No files defined"`
  `public static final String`
  `ERROR_NO_PROPERTY`
  `"No property defined"`
- org.apache.tools.ant.taskdefs.Manifest
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTRIBUTE_CLASSPATH`
  `"Class-Path"`
  `public static final String`
  `ATTRIBUTE_FROM`
  `"From"`
  `public static final String`
  `ATTRIBUTE_MANIFEST_VERSION`
  `"Manifest-Version"`
  `public static final String`
  `ATTRIBUTE_NAME`
  `"Name"`
  `public static final String`
  `ATTRIBUTE_SIGNATURE_VERSION`
  `"Signature-Version"`
  `public static final String`
  `DEFAULT_MANIFEST_VERSION`
  `"1.0"`
  `public static final String`
  `EOL`
  `"\r\n"`
  `public static final String`
  `ERROR_FROM_FORBIDDEN`
  `"Manifest attributes should not start with \"From\" in \""`
  `public static final int`
  `MAX_LINE_LENGTH`
  `72`
  `public static final int`
  `MAX_SECTION_LENGTH`
  `70`
- org.apache.tools.ant.taskdefs.ManifestTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `VALID_ATTRIBUTE_CHARS`
  `"abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-_"`
- org.apache.tools.ant.taskdefs.Rmic
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_BASE_NOT_SET`
  `"base or destdir attribute must be set!"`
  `public static final String`
  `ERROR_LOADING_CAUSED_EXCEPTION`
  `". Loading caused Exception: "`
  `public static final String`
  `ERROR_NO_BASE_EXISTS`
  `"base or destdir does not exist: "`
  `public static final String`
  `ERROR_NOT_A_DIR`
  `"base or destdir is not a directory:"`
  `public static final String`
  `ERROR_NOT_DEFINED`
  `". It is not defined."`
  `public static final String`
  `ERROR_NOT_FOUND`
  `". It could not be found."`
  `public static final String`
  `ERROR_RMIC_FAILED`
  `"Rmic failed; see the compiler error output for details."`
  `public static final String`
  `ERROR_UNABLE_TO_VERIFY_CLASS`
  `"Unable to verify class "`
- org.apache.tools.ant.taskdefs.SignJar
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_BAD_MAP`
  `"Cannot map source file to anything sensible: "`
  `public static final String`
  `ERROR_MAPPER_WITHOUT_DEST`
  `"The destDir attribute is required if a mapper is set"`
  `public static final String`
  `ERROR_NO_ALIAS`
  `"alias attribute must be set"`
  `public static final String`
  `ERROR_NO_STOREPASS`
  `"storepass attribute must be set"`
  `public static final String`
  `ERROR_SIGNEDJAR_AND_PATHS`
  `"You cannot specify the signed JAR when using paths or filesets"`
  `public static final String`
  `ERROR_TODIR_AND_SIGNEDJAR`
  `"\'destdir\' and \'signedjar\' cannot both be set"`
  `public static final String`
  `ERROR_TOO_MANY_MAPPERS`
  `"Too many mappers"`
- org.apache.tools.ant.taskdefs.SQLExec.DelimiterType
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NORMAL`
  `"normal"`
  `public static final String`
  `ROW`
  `"row"`
- org.apache.tools.ant.taskdefs.Tar
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FAIL`
  `"fail"`
  `public static final String`
  `GNU`
  `"gnu"`
  `public static final String`
  `OMIT`
  `"omit"`
  `public static final String`
  `TRUNCATE`
  `"truncate"`
  `public static final String`
  `WARN`
  `"warn"`
- org.apache.tools.ant.taskdefs.Tar.TarLongFileMode
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FAIL`
  `"fail"`
  `public static final String`
  `GNU`
  `"gnu"`
  `public static final String`
  `OMIT`
  `"omit"`
  `public static final String`
  `POSIX`
  `"posix"`
  `public static final String`
  `TRUNCATE`
  `"truncate"`
  `public static final String`
  `WARN`
  `"warn"`
- org.apache.tools.ant.taskdefs.VerifyJar
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_NO_FILE`
  `"Not found :"`
  `public static final String`
  `ERROR_NO_VERIFY`
  `"Failed to verify "`
- org.apache.tools.ant.taskdefs.WaitFor
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `DEFAULT_CHECK_MILLIS`
  `500L`
  `public static final long`
  `DEFAULT_MAX_WAIT_MILLIS`
  `180000L`
  `public static final long`
  `ONE_DAY`
  `86400000L`
  `public static final long`
  `ONE_HOUR`
  `3600000L`
  `public static final long`
  `ONE_MILLISECOND`
  `1L`
  `public static final long`
  `ONE_MINUTE`
  `60000L`
  `public static final long`
  `ONE_SECOND`
  `1000L`
  `public static final long`
  `ONE_WEEK`
  `604800000L`
- org.apache.tools.ant.taskdefs.WaitFor.Unit
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DAY`
  `"day"`
  `public static final String`
  `HOUR`
  `"hour"`
  `public static final String`
  `MILLISECOND`
  `"millisecond"`
  `public static final String`
  `MINUTE`
  `"minute"`
  `public static final String`
  `SECOND`
  `"second"`
  `public static final String`
  `WEEK`
  `"week"`
- org.apache.tools.ant.taskdefs.XSLTLiaison
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FILE_PROTOCOL_PREFIX`
  `"file://"`
- org.apache.tools.ant.taskdefs.XSLTProcess
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROCESSOR_TRAX`
  `"trax"`

- org.apache.tools.ant.taskdefs.compilers.CompilerAdapterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPILER_CLASSIC`
  `"classic"`
  `public static final String`
  `COMPILER_EXTJAVAC`
  `"extJavac"`
  `public static final String`
  `COMPILER_GCJ`
  `"gcj"`
  `public static final String`
  `COMPILER_JAVAC_1_1`
  `"javac1.1"`
  `public static final String`
  `COMPILER_JAVAC_1_2`
  `"javac1.2"`
  `public static final String`
  `COMPILER_JAVAC_1_3`
  `"javac1.3"`
  `public static final String`
  `COMPILER_JAVAC_1_4`
  `"javac1.4"`
  `public static final String`
  `COMPILER_JAVAC_1_5`
  `"javac1.5"`
  `public static final String`
  `COMPILER_JAVAC_1_6`
  `"javac1.6"`
  `public static final String`
  `COMPILER_JAVAC_1_7`
  `"javac1.7"`
  `public static final String`
  `COMPILER_JAVAC_1_8`
  `"javac1.8"`
  `public static final String`
  `COMPILER_JAVAC_10_PLUS`
  `"javac10+"`
  `public static final String`
  `COMPILER_JAVAC_9`
  `"javac9"`
  `public static final String`
  `COMPILER_JAVAC_9_ALIAS`
  `"javac1.9"`
  `public static final String`
  `COMPILER_JIKES`
  `"jikes"`
  `public static final String`
  `COMPILER_JVC`
  `"jvc"`
  `public static final String`
  `COMPILER_JVC_ALIAS`
  `"microsoft"`
  `public static final String`
  `COMPILER_KJC`
  `"kjc"`
  `public static final String`
  `COMPILER_MODERN`
  `"modern"`
  `public static final String`
  `COMPILER_SYMANTEC`
  `"symantec"`
  `public static final String`
  `COMPILER_SYMANTEC_ALIAS`
  `"sj"`
- org.apache.tools.ant.taskdefs.compilers.Javac12
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `CLASSIC_COMPILER_CLASSNAME`
  `"sun.tools.javac.Main"`

- org.apache.tools.ant.taskdefs.condition.IsReachable
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_TIMEOUT`
  `30`
  `public static final String`
  `ERROR_BAD_TIMEOUT`
  `"Invalid timeout value"`
  `public static final String`
  `ERROR_BAD_URL`
  `"Bad URL "`
  `public static final String`
  `ERROR_BOTH_TARGETS`
  `"Both url and host have been specified"`
  `public static final String`
  `ERROR_NO_HOST_IN_URL`
  `"No hostname in URL "`
  `public static final String`
  `ERROR_NO_HOSTNAME`
  `"No hostname defined"`
  `public static final String`
  `ERROR_ON_NETWORK`
  `"network error to "`
  `public static final String`
  `METHOD_NAME`
  `"isReachable"`
  `public static final String`
  `MSG_NO_REACHABLE_TEST`
  `"cannot do a proper reachability test on this Java version"`
- org.apache.tools.ant.taskdefs.condition.Os
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FAMILY_9X`
  `"win9x"`
  `public static final String`
  `FAMILY_DOS`
  `"dos"`
  `public static final String`
  `FAMILY_MAC`
  `"mac"`
  `public static final String`
  `FAMILY_NETWARE`
  `"netware"`
  `public static final String`
  `FAMILY_NT`
  `"winnt"`
  `public static final String`
  `FAMILY_OS2`
  `"os/2"`
  `public static final String`
  `FAMILY_OS400`
  `"os/400"`
  `public static final String`
  `FAMILY_TANDEM`
  `"tandem"`
  `public static final String`
  `FAMILY_UNIX`
  `"unix"`
  `public static final String`
  `FAMILY_VMS`
  `"openvms"`
  `public static final String`
  `FAMILY_WINDOWS`
  `"windows"`
  `public static final String`
  `FAMILY_ZOS`
  `"z/os"`
- org.apache.tools.ant.taskdefs.condition.ParserSupports
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_BOTH_ATTRIBUTES`
  `"Property and feature attributes are exclusive"`
  `public static final String`
  `ERROR_NO_ATTRIBUTES`
  `"Neither feature or property are set"`
  `public static final String`
  `ERROR_NO_VALUE`
  `"A value is needed when testing for property support"`
  `public static final String`
  `FEATURE`
  `"feature"`
  `public static final String`
  `NOT_RECOGNIZED`
  `" not recognized: "`
  `public static final String`
  `NOT_SUPPORTED`
  `" not supported: "`
  `public static final String`
  `PROPERTY`
  `"property"`

- org.apache.tools.ant.taskdefs.email.EmailTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AUTO`
  `"auto"`
  `public static final String`
  `MIME`
  `"mime"`
  `public static final String`
  `PLAIN`
  `"plain"`
  `public static final String`
  `UU`
  `"uu"`

- org.apache.tools.ant.taskdefs.modules.Jmod.ResolutionWarningReason
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEPRECATED`
  `"deprecated"`
  `public static final String`
  `INCUBATING`
  `"incubating"`
  `public static final String`
  `LEAVING`
  `"leaving"`

- org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry.Operation
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DECREMENT_OPER`
  `1`
  `public static final int`
  `DELETE_OPER`
  `3`
  `public static final int`
  `EQUALS_OPER`
  `2`
  `public static final int`
  `INCREMENT_OPER`
  `0`
- org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry.Type
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DATE_TYPE`
  `1`
  `public static final int`
  `INTEGER_TYPE`
  `0`
  `public static final int`
  `STRING_TYPE`
  `2`
- org.apache.tools.ant.taskdefs.optional.SchemaValidate
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_DUPLICATE_SCHEMA`
  `"Duplicate declaration of schema "`
  `public static final String`
  `ERROR_NO_XSD_SUPPORT`
  `"Parser does not support Xerces or JAXP schema features"`
  `public static final String`
  `ERROR_PARSER_CREATION_FAILURE`
  `"Could not create parser"`
  `public static final String`
  `ERROR_SAX_1`
  `"SAX1 parsers are not supported"`
  `public static final String`
  `ERROR_TOO_MANY_DEFAULT_SCHEMAS`
  `"Only one of defaultSchemaFile and defaultSchemaURL allowed"`
  `public static final String`
  `MESSAGE_ADDING_SCHEMA`
  `"Adding schema "`
- org.apache.tools.ant.taskdefs.optional.SchemaValidate.SchemaLocation
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_NO_FILE`
  `"File not found: "`
  `public static final String`
  `ERROR_NO_LOCATION`
  `"No file or URL supplied for the schema "`
  `public static final String`
  `ERROR_NO_URI`
  `"No namespace URI"`
  `public static final String`
  `ERROR_NO_URL_REPRESENTATION`
  `"Cannot make a URL of "`
  `public static final String`
  `ERROR_TWO_LOCATIONS`
  `"Both URL and File were given for schema "`
- org.apache.tools.ant.taskdefs.optional.XMLValidateTask
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `INIT_FAILED_MSG`
  `"Could not start xml validation: "`
  `public static final String`
  `MESSAGE_FILES_VALIDATED`
  `" file(s) have been successfully validated."`

- org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"/comment"`
  `public static final String`
  `FLAG_TASK`
  `"/task"`
- org.apache.tools.ant.taskdefs.optional.ccm.CCMCheckinDefault
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_TASK`
  `"default"`
- org.apache.tools.ant.taskdefs.optional.ccm.CCMCreateTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"/synopsis"`
  `public static final String`
  `FLAG_PLATFORM`
  `"/plat"`
  `public static final String`
  `FLAG_RELEASE`
  `"/release"`
  `public static final String`
  `FLAG_RESOLVER`
  `"/resolver"`
  `public static final String`
  `FLAG_SUBSYSTEM`
  `"/subsystem"`
  `public static final String`
  `FLAG_TASK`
  `"/task"`
- org.apache.tools.ant.taskdefs.optional.ccm.CCMReconfigure
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_PROJECT`
  `"/project"`
  `public static final String`
  `FLAG_RECURSE`
  `"/recurse"`
  `public static final String`
  `FLAG_VERBOSE`
  `"/verbose"`
- org.apache.tools.ant.taskdefs.optional.ccm.Continuus
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMMAND_CHECKIN`
  `"ci"`
  `public static final String`
  `COMMAND_CHECKOUT`
  `"co"`
  `public static final String`
  `COMMAND_CREATE_TASK`
  `"create_task"`
  `public static final String`
  `COMMAND_DEFAULT_TASK`
  `"default_task"`
  `public static final String`
  `COMMAND_RECONFIGURE`
  `"reconfigure"`

- org.apache.tools.ant.taskdefs.optional.clearcase.CCCheckin
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_IDENTICAL`
  `"-identical"`
  `public static final String`
  `FLAG_KEEPCOPY`
  `"-keep"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
  `public static final String`
  `FLAG_NOWARN`
  `"-nwarn"`
  `public static final String`
  `FLAG_PRESERVETIME`
  `"-ptime"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCCheckout
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_BRANCH`
  `"-branch"`
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
  `public static final String`
  `FLAG_NODATA`
  `"-ndata"`
  `public static final String`
  `FLAG_NOWARN`
  `"-nwarn"`
  `public static final String`
  `FLAG_OUT`
  `"-out"`
  `public static final String`
  `FLAG_RESERVED`
  `"-reserved"`
  `public static final String`
  `FLAG_UNRESERVED`
  `"-unreserved"`
  `public static final String`
  `FLAG_VERSION`
  `"-version"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCLock
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-comment"`
  `public static final String`
  `FLAG_NUSERS`
  `"-nusers"`
  `public static final String`
  `FLAG_OBSOLETE`
  `"-obsolete"`
  `public static final String`
  `FLAG_PNAME`
  `"-pname"`
  `public static final String`
  `FLAG_REPLACE`
  `"-replace"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCMkattr
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
  `public static final String`
  `FLAG_RECURSE`
  `"-recurse"`
  `public static final String`
  `FLAG_REPLACE`
  `"-replace"`
  `public static final String`
  `FLAG_VERSION`
  `"-version"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCMkbl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_FULL`
  `"-full"`
  `public static final String`
  `FLAG_IDENTICAL`
  `"-identical"`
  `public static final String`
  `FLAG_INCREMENTAL`
  `"-incremental"`
  `public static final String`
  `FLAG_NLABEL`
  `"-nlabel"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCMkdir
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_NOCHECKOUT`
  `"-nco"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCMkelem
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_CHECKIN`
  `"-ci"`
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_ELTYPE`
  `"-eltype"`
  `public static final String`
  `FLAG_MASTER`
  `"-master"`
  `public static final String`
  `FLAG_NOCHECKOUT`
  `"-nco"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
  `public static final String`
  `FLAG_NOWARN`
  `"-nwarn"`
  `public static final String`
  `FLAG_PRESERVETIME`
  `"-ptime"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCMklabel
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
  `public static final String`
  `FLAG_RECURSE`
  `"-recurse"`
  `public static final String`
  `FLAG_REPLACE`
  `"-replace"`
  `public static final String`
  `FLAG_VERSION`
  `"-version"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCMklbtype
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_GLOBAL`
  `"-global"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
  `public static final String`
  `FLAG_ORDINARY`
  `"-ordinary"`
  `public static final String`
  `FLAG_PBRANCH`
  `"-pbranch"`
  `public static final String`
  `FLAG_REPLACE`
  `"-replace"`
  `public static final String`
  `FLAG_SHARED`
  `"-shared"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCRmtype
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-c"`
  `public static final String`
  `FLAG_COMMENTFILE`
  `"-cfile"`
  `public static final String`
  `FLAG_FORCE`
  `"-force"`
  `public static final String`
  `FLAG_IGNORE`
  `"-ignore"`
  `public static final String`
  `FLAG_NOCOMMENT`
  `"-nc"`
  `public static final String`
  `FLAG_RMALL`
  `"-rmall"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCUnCheckout
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_KEEPCOPY`
  `"-keep"`
  `public static final String`
  `FLAG_RM`
  `"-rm"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCUnlock
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_COMMENT`
  `"-comment"`
  `public static final String`
  `FLAG_PNAME`
  `"-pname"`
- org.apache.tools.ant.taskdefs.optional.clearcase.CCUpdate
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FLAG_CURRENTTIME`
  `"-ctime"`
  `public static final String`
  `FLAG_GRAPHICAL`
  `"-graphical"`
  `public static final String`
  `FLAG_LOG`
  `"-log"`
  `public static final String`
  `FLAG_NOVERWRITE`
  `"-noverwrite"`
  `public static final String`
  `FLAG_OVERWRITE`
  `"-overwrite"`
  `public static final String`
  `FLAG_PRESERVETIME`
  `"-ptime"`
  `public static final String`
  `FLAG_RENAME`
  `"-rename"`
- org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMMAND_CHECKIN`
  `"checkin"`
  `public static final String`
  `COMMAND_CHECKOUT`
  `"checkout"`
  `public static final String`
  `COMMAND_LOCK`
  `"lock"`
  `public static final String`
  `COMMAND_LSCO`
  `"lsco"`
  `public static final String`
  `COMMAND_MKATTR`
  `"mkattr"`
  `public static final String`
  `COMMAND_MKBL`
  `"mkbl"`
  `public static final String`
  `COMMAND_MKDIR`
  `"mkdir"`
  `public static final String`
  `COMMAND_MKELEM`
  `"mkelem"`
  `public static final String`
  `COMMAND_MKLABEL`
  `"mklabel"`
  `public static final String`
  `COMMAND_MKLBTYPE`
  `"mklbtype"`
  `public static final String`
  `COMMAND_RMTYPE`
  `"rmtype"`
  `public static final String`
  `COMMAND_UNCHECKOUT`
  `"uncheckout"`
  `public static final String`
  `COMMAND_UNLOCK`
  `"unlock"`
  `public static final String`
  `COMMAND_UPDATE`
  `"update"`

- org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CONSTANT_CLASS`
  `7`
  `public static final int`
  `CONSTANT_DOUBLE`
  `6`
  `public static final int`
  `CONSTANT_DYNAMIC`
  `17`
  `public static final int`
  `CONSTANT_FIELDREF`
  `9`
  `public static final int`
  `CONSTANT_FLOAT`
  `4`
  `public static final int`
  `CONSTANT_INTEGER`
  `3`
  `public static final int`
  `CONSTANT_INTERFACEMETHODREF`
  `11`
  `public static final int`
  `CONSTANT_INVOKEDYNAMIC`
  `18`
  `public static final int`
  `CONSTANT_LONG`
  `5`
  `public static final int`
  `CONSTANT_METHODHANDLE`
  `15`
  `public static final int`
  `CONSTANT_METHODREF`
  `10`
  `public static final int`
  `CONSTANT_METHODTYPE`
  `16`
  `public static final int`
  `CONSTANT_MODULEINFO`
  `19`
  `public static final int`
  `CONSTANT_NAMEANDTYPE`
  `12`
  `public static final int`
  `CONSTANT_PACKAGEINFO`
  `20`
  `public static final int`
  `CONSTANT_STRING`
  `8`
  `public static final int`
  `CONSTANT_UTF8`
  `1`

- org.apache.tools.ant.taskdefs.optional.ejb.BorlandDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `BAS_DD`
  `"ejb-inprise.xml"`
  `protected static final String`
  `BES_DD`
  `"ejb-borland.xml"`
  `protected static final String`
  `DEFAULT_BAS_DTD_LOCATION`
  `"/com/inprise/j2ee/xml/dtds/ejb-inprise.dtd"`
  `protected static final String`
  `DEFAULT_BAS45_EJB11_DTD_LOCATION`
  `"/com/inprise/j2ee/xml/dtds/ejb-jar.dtd"`
  `protected static final String`
  `JAVA2IIOP`
  `"java2iiop"`
  `public static final String`
  `PUBLICID_BORLAND_EJB`
  `"-//Inprise Corporation//DTD Enterprise JavaBeans 1.1//EN"`
  `protected static final String`
  `VERIFY`
  `"com.inprise.ejb.util.Verify"`
- org.apache.tools.ant.taskdefs.optional.ejb.EjbJar.CMPVersion
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CMP1_0`
  `"1.0"`
  `public static final String`
  `CMP2_0`
  `"2.0"`
- org.apache.tools.ant.taskdefs.optional.ejb.EjbJar.NamingScheme
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BASEJARNAME`
  `"basejarname"`
  `public static final String`
  `DESCRIPTOR`
  `"descriptor"`
  `public static final String`
  `DIRECTORY`
  `"directory"`
  `public static final String`
  `EJB_NAME`
  `"ejb-name"`
- org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ANALYZER_CLASS_FULL`
  `"org.apache.tools.ant.util.depend.bcel.FullAnalyzer"`
  `public static final String`
  `ANALYZER_CLASS_SUPER`
  `"org.apache.tools.ant.util.depend.bcel.AncestorAnalyzer"`
  `public static final String`
  `ANALYZER_FULL`
  `"full"`
  `public static final String`
  `ANALYZER_NONE`
  `"none"`
  `public static final String`
  `ANALYZER_SUPER`
  `"super"`
  `public static final String`
  `DEFAULT_ANALYZER`
  `"super"`
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `1024`
  `protected static final String`
  `EJB_DD`
  `"ejb-jar.xml"`
  `public static final int`
  `JAR_COMPRESS_LEVEL`
  `9`
  `protected static final String`
  `MANIFEST`
  `"META-INF/MANIFEST.MF"`
  `protected static final String`
  `META_DIR`
  `"META-INF/"`
- org.apache.tools.ant.taskdefs.optional.ejb.JbossDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `JBOSS_CMP10D`
  `"jaws.xml"`
  `protected static final String`
  `JBOSS_CMP20D`
  `"jbosscmp-jdbc.xml"`
  `protected static final String`
  `JBOSS_DD`
  `"jboss.xml"`
- org.apache.tools.ant.taskdefs.optional.ejb.JonasDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DAVID_ORB`
  `"DAVID"`
  `protected static final String`
  `EJB_JAR_1_1_DTD`
  `"ejb-jar_1_1.dtd"`
  `protected static final String`
  `EJB_JAR_1_1_PUBLIC_ID`
  `"-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 1.1//EN"`
  `protected static final String`
  `EJB_JAR_2_0_DTD`
  `"ejb-jar_2_0.dtd"`
  `protected static final String`
  `EJB_JAR_2_0_PUBLIC_ID`
  `"-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN"`
  `protected static final String`
  `GENIC_CLASS`
  `"org.objectweb.jonas_ejb.genic.GenIC"`
  `protected static final String`
  `JEREMIE_ORB`
  `"JEREMIE"`
  `protected static final String`
  `JONAS_DD`
  `"jonas-ejb-jar.xml"`
  `protected static final String`
  `JONAS_EJB_JAR_2_4_DTD`
  `"jonas-ejb-jar_2_4.dtd"`
  `protected static final String`
  `JONAS_EJB_JAR_2_4_PUBLIC_ID`
  `"-//ObjectWeb//DTD JOnAS 2.4//EN"`
  `protected static final String`
  `JONAS_EJB_JAR_2_5_DTD`
  `"jonas-ejb-jar_2_5.dtd"`
  `protected static final String`
  `JONAS_EJB_JAR_2_5_PUBLIC_ID`
  `"-//ObjectWeb//DTD JOnAS 2.5//EN"`
  `protected static final String`
  `OLD_GENIC_CLASS_1`
  `"org.objectweb.jonas_ejb.tools.GenWholeIC"`
  `protected static final String`
  `OLD_GENIC_CLASS_2`
  `"org.objectweb.jonas_ejb.tools.GenIC"`
  `protected static final String`
  `RMI_ORB`
  `"RMI"`
- org.apache.tools.ant.taskdefs.optional.ejb.OrionDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `ORION_DD`
  `"orion-ejb-jar.xml"`
- org.apache.tools.ant.taskdefs.optional.ejb.WeblogicDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `COMPILER_EJB11`
  `"weblogic.ejbc"`
  `protected static final String`
  `COMPILER_EJB20`
  `"weblogic.ejbc20"`
  `protected static final String`
  `DEFAULT_COMPILER`
  `"default"`
  `protected static final String`
  `DEFAULT_WL51_DTD_LOCATION`
  `"/weblogic/ejb/deployment/xml/weblogic-ejb-jar.dtd"`
  `protected static final String`
  `DEFAULT_WL51_EJB11_DTD_LOCATION`
  `"/weblogic/ejb/deployment/xml/ejb-jar.dtd"`
  `protected static final String`
  `DEFAULT_WL60_51_DTD_LOCATION`
  `"/weblogic/ejb20/dd/xml/weblogic510-ejb-jar.dtd"`
  `protected static final String`
  `DEFAULT_WL60_DTD_LOCATION`
  `"/weblogic/ejb20/dd/xml/weblogic600-ejb-jar.dtd"`
  `protected static final String`
  `DEFAULT_WL60_EJB11_DTD_LOCATION`
  `"/weblogic/ejb20/dd/xml/ejb11-jar.dtd"`
  `protected static final String`
  `DEFAULT_WL60_EJB20_DTD_LOCATION`
  `"/weblogic/ejb20/dd/xml/ejb20-jar.dtd"`
  `protected static final String`
  `DEFAULT_WL70_DTD_LOCATION`
  `"/weblogic/ejb20/dd/xml/weblogic700-ejb-jar.dtd"`
  `public static final String`
  `PUBLICID_EJB11`
  `"-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 1.1//EN"`
  `public static final String`
  `PUBLICID_EJB20`
  `"-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN"`
  `public static final String`
  `PUBLICID_WEBLOGIC_EJB510`
  `"-//BEA Systems, Inc.//DTD WebLogic 5.1.0 EJB//EN"`
  `public static final String`
  `PUBLICID_WEBLOGIC_EJB600`
  `"-//BEA Systems, Inc.//DTD WebLogic 6.0.0 EJB//EN"`
  `public static final String`
  `PUBLICID_WEBLOGIC_EJB700`
  `"-//BEA Systems, Inc.//DTD WebLogic 7.0.0 EJB//EN"`
  `protected static final String`
  `WL_CMP_DD`
  `"weblogic-cmp-rdbms-jar.xml"`
  `protected static final String`
  `WL_DD`
  `"weblogic-ejb-jar.xml"`
- org.apache.tools.ant.taskdefs.optional.ejb.WebsphereDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PUBLICID_EJB11`
  `"-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 1.1//EN"`
  `public static final String`
  `PUBLICID_EJB20`
  `"-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN"`
  `protected static final String`
  `SCHEMA_DIR`
  `"Schema/"`
  `protected static final String`
  `WAS_BND`
  `"ibm-ejb-jar-bnd.xmi"`
  `protected static final String`
  `WAS_CMP_MAP`
  `"Map.mapxmi"`
  `protected static final String`
  `WAS_CMP_SCHEMA`
  `"Schema.dbxmi"`
  `protected static final String`
  `WAS_EXT`
  `"ibm-ejb-jar-ext.xmi"`

- org.apache.tools.ant.taskdefs.optional.j2ee.HotDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ACTION_DELETE`
  `"delete"`
  `public static final String`
  `ACTION_DEPLOY`
  `"deploy"`
  `public static final String`
  `ACTION_LIST`
  `"list"`
  `public static final String`
  `ACTION_UNDEPLOY`
  `"undeploy"`
  `public static final String`
  `ACTION_UPDATE`
  `"update"`
- org.apache.tools.ant.taskdefs.optional.j2ee.JonasHotDeploymentTool
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DEFAULT_ORB`
  `"RMI"`

- org.apache.tools.ant.taskdefs.optional.javacc.JavaCC
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `COM_JAVACC_CLASS`
  `"javacc.Main"`
  `protected static final String`
  `COM_JJDOC_CLASS`
  `"jjdoc.JJDocMain"`
  `protected static final String`
  `COM_JJTREE_CLASS`
  `"jjtree.Main"`
  `protected static final String`
  `COM_PACKAGE`
  `"COM.sun.labs."`
  `protected static final String`
  `ORG_JAVACC_CLASS`
  `"parser.Main"`
  `protected static final String`
  `ORG_JJDOC_CLASS`
  `"jjdoc.JJDocMain"`
  `protected static final String`
  `ORG_JJTREE_CLASS`
  `"jjtree.Main"`
  `protected static final String`
  `ORG_PACKAGE_3_0`
  `"org.netbeans.javacc."`
  `protected static final String`
  `ORG_PACKAGE_3_1`
  `"org.javacc."`
  `protected static final int`
  `TASKDEF_TYPE_JAVACC`
  `1`
  `protected static final int`
  `TASKDEF_TYPE_JJDOC`
  `3`
  `protected static final int`
  `TASKDEF_TYPE_JJTREE`
  `2`

- org.apache.tools.ant.taskdefs.optional.javah.ForkingJavah
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IMPLEMENTATION_NAME`
  `"forking"`
- org.apache.tools.ant.taskdefs.optional.javah.Gcjh
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IMPLEMENTATION_NAME`
  `"gcjh"`
- org.apache.tools.ant.taskdefs.optional.javah.Kaffeh
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IMPLEMENTATION_NAME`
  `"kaffeh"`
- org.apache.tools.ant.taskdefs.optional.javah.SunJavah
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IMPLEMENTATION_NAME`
  `"sun"`

- org.apache.tools.ant.taskdefs.optional.junit.AggregateTransformer
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FRAMES`
  `"frames"`
  `public static final String`
  `NOFRAMES`
  `"noframes"`
- org.apache.tools.ant.taskdefs.optional.junit.FailureRecorder
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAGIC_PROPERTY_CLASS_LOCATION`
  `"ant.junit.failureCollector"`
- org.apache.tools.ant.taskdefs.optional.junit.FormatterElement
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BRIEF_FORMATTER_CLASS_NAME`
  `"org.apache.tools.ant.taskdefs.optional.junit.BriefJUnitResultFormatter"`
  `public static final String`
  `FAILURE_RECORDER_CLASS_NAME`
  `"org.apache.tools.ant.taskdefs.optional.junit.FailureRecorder"`
  `public static final String`
  `PLAIN_FORMATTER_CLASS_NAME`
  `"org.apache.tools.ant.taskdefs.optional.junit.PlainJUnitResultFormatter"`
  `public static final String`
  `XML_FORMATTER_CLASS_NAME`
  `"org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter"`
- org.apache.tools.ant.taskdefs.optional.junit.JUnitTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ENABLE_TESTLISTENER_EVENTS`
  `"ant.junit.enabletestlistenerevents"`
  `public static final String`
  `TESTLISTENER_PREFIX`
  `"junit.framework.TestListener: "`
- org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.ForkMode
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ONCE`
  `"once"`
  `public static final String`
  `PER_BATCH`
  `"perBatch"`
  `public static final String`
  `PER_TEST`
  `"perTest"`
- org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitTestRunnerMirror
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ERRORS`
  `2`
  `public static final int`
  `FAILURES`
  `1`
  `public static final String`
  `IGNORED_FILE_NAME`
  `"IGNORETHIS"`
  `public static final int`
  `SUCCESS`
  `0`
- org.apache.tools.ant.taskdefs.optional.junit.JUnitVersionHelper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JUNIT_FRAMEWORK_JUNIT4_TEST_CASE_FACADE`
  `"junit.framework.JUnit4TestCaseFacade"`
- org.apache.tools.ant.taskdefs.optional.junit.XMLConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTR_CLASSNAME`
  `"classname"`
  `public static final String`
  `ATTR_ERRORS`
  `"errors"`
  `public static final String`
  `ATTR_FAILURES`
  `"failures"`
  `public static final String`
  `ATTR_ID`
  `"id"`
  `public static final String`
  `ATTR_MESSAGE`
  `"message"`
  `public static final String`
  `ATTR_NAME`
  `"name"`
  `public static final String`
  `ATTR_PACKAGE`
  `"package"`
  `public static final String`
  `ATTR_SKIPPED`
  `"skipped"`
  `public static final String`
  `ATTR_TESTS`
  `"tests"`
  `public static final String`
  `ATTR_TIME`
  `"time"`
  `public static final String`
  `ATTR_TYPE`
  `"type"`
  `public static final String`
  `ATTR_VALUE`
  `"value"`
  `public static final String`
  `ERROR`
  `"error"`
  `public static final String`
  `FAILURE`
  `"failure"`
  `public static final String`
  `HOSTNAME`
  `"hostname"`
  `public static final String`
  `PROPERTIES`
  `"properties"`
  `public static final String`
  `PROPERTY`
  `"property"`
  `public static final String`
  `SYSTEM_ERR`
  `"system-err"`
  `public static final String`
  `SYSTEM_OUT`
  `"system-out"`
  `public static final String`
  `TESTCASE`
  `"testcase"`
  `public static final String`
  `TESTSUITE`
  `"testsuite"`
  `public static final String`
  `TESTSUITES`
  `"testsuites"`
  `public static final String`
  `TIMESTAMP`
  `"timestamp"`
- org.apache.tools.ant.taskdefs.optional.junit.XMLResultAggregator
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_DIR`
  `"."`
  `public static final String`
  `DEFAULT_FILENAME`
  `"TESTS-TestSuites.xml"`

- org.apache.tools.ant.taskdefs.optional.junitlauncher.confined.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ARG_LAUNCH_DEFINITION`
  `"--launch-definition"`
  `public static final String`
  `ARG_PROPERTIES`
  `"--properties"`
  `public static final int`
  `FORK_EXIT_CODE_EXCEPTION`
  `1`
  `public static final int`
  `FORK_EXIT_CODE_SUCCESS`
  `0`
  `public static final int`
  `FORK_EXIT_CODE_TESTS_FAILED`
  `2`
  `public static final int`
  `FORK_EXIT_CODE_TIMED_OUT`
  `3`
  `public static final String`
  `LD_XML_ATTR_CLASS_NAME`
  `"classname"`
  `public static final String`
  `LD_XML_ATTR_EXCLUDE_ENGINES`
  `"excludeEngines"`
  `public static final String`
  `LD_XML_ATTR_EXCLUDE_TAGS`
  `"excludeTags"`
  `public static final String`
  `LD_XML_ATTR_HALT_ON_FAILURE`
  `"haltOnFailure"`
  `public static final String`
  `LD_XML_ATTR_INCLUDE_ENGINES`
  `"includeEngines"`
  `public static final String`
  `LD_XML_ATTR_INCLUDE_TAGS`
  `"includeTags"`
  `public static final String`
  `LD_XML_ATTR_LISTENER_EXTENSION`
  `"extension"`
  `public static final String`
  `LD_XML_ATTR_LISTENER_RESULT_FILE`
  `"resultFile"`
  `public static final String`
  `LD_XML_ATTR_LISTENER_USE_LEGACY_REPORTING_NAME`
  `"useLegacyReportingName"`
  `public static final String`
  `LD_XML_ATTR_METHODS`
  `"methods"`
  `public static final String`
  `LD_XML_ATTR_OUTPUT_DIRECTORY`
  `"outDir"`
  `public static final String`
  `LD_XML_ATTR_PRINT_SUMMARY`
  `"printSummary"`
  `public static final String`
  `LD_XML_ATTR_SEND_SYS_ERR`
  `"sendSysErr"`
  `public static final String`
  `LD_XML_ATTR_SEND_SYS_OUT`
  `"sendSysOut"`
  `public static final String`
  `LD_XML_ELM_LAUNCH_DEF`
  `"launch-definition"`
  `public static final String`
  `LD_XML_ELM_LISTENER`
  `"listener"`
  `public static final String`
  `LD_XML_ELM_TEST`
  `"test"`
  `public static final String`
  `LD_XML_ELM_TEST_CLASSES`
  `"test-classes"`

- org.apache.tools.ant.taskdefs.optional.native2ascii.KaffeNative2Ascii
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IMPLEMENTATION_NAME`
  `"kaffe"`
- org.apache.tools.ant.taskdefs.optional.native2ascii.SunNative2Ascii
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IMPLEMENTATION_NAME`
  `"sun"`

- org.apache.tools.ant.taskdefs.optional.net.FTP
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `CHMOD`
  `5`
  `public static final int`
  `DEFAULT_FTP_PORT`
  `21`
  `protected static final int`
  `DEL_FILES`
  `2`
  `protected static final int`
  `GET_FILES`
  `1`
  `protected static final int`
  `LIST_FILES`
  `3`
  `protected static final int`
  `MK_DIR`
  `4`
  `protected static final int`
  `RM_DIR`
  `6`
  `protected static final int`
  `SEND_FILES`
  `0`
  `protected static final int`
  `SITE_CMD`
  `7`
- org.apache.tools.ant.taskdefs.optional.net.FTPTask
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CHMOD`
  `5`
  `public static final int`
  `DEFAULT_FTP_PORT`
  `21`
  `public static final int`
  `DEL_FILES`
  `2`
  `public static final int`
  `GET_FILES`
  `1`
  `public static final int`
  `LIST_FILES`
  `3`
  `public static final int`
  `MK_DIR`
  `4`
  `public static final int`
  `RM_DIR`
  `6`
  `public static final int`
  `SEND_FILES`
  `0`
  `public static final int`
  `SITE_CMD`
  `7`
- org.apache.tools.ant.taskdefs.optional.net.TelnetTask.AntTelnetClient
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `TERMINAL_TYPE`
  `24`
  `protected static final int`
  `TERMINAL_TYPE_IS`
  `0`
  `protected static final int`
  `TERMINAL_TYPE_SEND`
  `1`

- org.apache.tools.ant.taskdefs.optional.sos.SOSCmd
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMMAND_CHECKIN_FILE`
  `"CheckInFile"`
  `public static final String`
  `COMMAND_CHECKIN_PROJECT`
  `"CheckInProject"`
  `public static final String`
  `COMMAND_CHECKOUT_FILE`
  `"CheckOutFile"`
  `public static final String`
  `COMMAND_CHECKOUT_PROJECT`
  `"CheckOutProject"`
  `public static final String`
  `COMMAND_GET_FILE`
  `"GetFile"`
  `public static final String`
  `COMMAND_GET_PROJECT`
  `"GetProject"`
  `public static final String`
  `COMMAND_HISTORY`
  `"GetFileHistory"`
  `public static final String`
  `COMMAND_LABEL`
  `"AddLabel"`
  `public static final String`
  `COMMAND_SOS_EXE`
  `"soscmd"`
  `public static final String`
  `FLAG_COMMAND`
  `"-command"`
  `public static final String`
  `FLAG_COMMENT`
  `"-log"`
  `public static final String`
  `FLAG_FILE`
  `"-file"`
  `public static final String`
  `FLAG_LABEL`
  `"-label"`
  `public static final String`
  `FLAG_NO_CACHE`
  `"-nocache"`
  `public static final String`
  `FLAG_NO_COMPRESSION`
  `"-nocompress"`
  `public static final String`
  `FLAG_PASSWORD`
  `"-password"`
  `public static final String`
  `FLAG_PROJECT`
  `"-project"`
  `public static final String`
  `FLAG_RECURSION`
  `"-recursive"`
  `public static final String`
  `FLAG_SOS_HOME`
  `"-soshome"`
  `public static final String`
  `FLAG_SOS_SERVER`
  `"-server"`
  `public static final String`
  `FLAG_USERNAME`
  `"-name"`
  `public static final String`
  `FLAG_VERBOSE`
  `"-verbose"`
  `public static final String`
  `FLAG_VERSION`
  `"-revision"`
  `public static final String`
  `FLAG_VSS_SERVER`
  `"-database"`
  `public static final String`
  `FLAG_WORKING_DIR`
  `"-workdir"`
  `public static final String`
  `PROJECT_PREFIX`
  `"$"`

- org.apache.tools.ant.taskdefs.optional.testing.Funtest
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `APPLICATION_EXCEPTION`
  `"Application Exception"`
  `public static final String`
  `APPLICATION_FORCIBLY_SHUT_DOWN`
  `"Application forcibly shut down"`
  `public static final String`
  `SHUTDOWN_INTERRUPTED`
  `"Shutdown interrupted"`
  `public static final String`
  `SKIPPING_TESTS`
  `"Condition failed -skipping tests"`
  `public static final String`
  `TEARDOWN_EXCEPTION`
  `"Teardown Exception"`
  `public static final String`
  `WARN_OVERRIDING`
  `"Overriding previous definition of "`

- org.apache.tools.ant.taskdefs.optional.vss.MSVSSConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMMAND_ADD`
  `"Add"`
  `public static final String`
  `COMMAND_CHECKIN`
  `"Checkin"`
  `public static final String`
  `COMMAND_CHECKOUT`
  `"Checkout"`
  `public static final String`
  `COMMAND_CP`
  `"CP"`
  `public static final String`
  `COMMAND_CREATE`
  `"Create"`
  `public static final String`
  `COMMAND_GET`
  `"Get"`
  `public static final String`
  `COMMAND_HISTORY`
  `"History"`
  `public static final String`
  `COMMAND_LABEL`
  `"Label"`
  `public static final String`
  `FLAG_AUTORESPONSE_DEF`
  `"-I-"`
  `public static final String`
  `FLAG_AUTORESPONSE_NO`
  `"-I-N"`
  `public static final String`
  `FLAG_AUTORESPONSE_YES`
  `"-I-Y"`
  `public static final String`
  `FLAG_BRIEF`
  `"-B"`
  `public static final String`
  `FLAG_CODEDIFF`
  `"-D"`
  `public static final String`
  `FLAG_COMMENT`
  `"-C"`
  `public static final String`
  `FLAG_FILETIME_DEF`
  `"-GTC"`
  `public static final String`
  `FLAG_FILETIME_MODIFIED`
  `"-GTM"`
  `public static final String`
  `FLAG_FILETIME_UPDATED`
  `"-GTU"`
  `public static final String`
  `FLAG_LABEL`
  `"-L"`
  `public static final String`
  `FLAG_LOGIN`
  `"-Y"`
  `public static final String`
  `FLAG_NO_FILE`
  `"-F-"`
  `public static final String`
  `FLAG_NO_GET`
  `"-G-"`
  `public static final String`
  `FLAG_OUTPUT`
  `"-O"`
  `public static final String`
  `FLAG_OVERRIDE_WORKING_DIR`
  `"-GL"`
  `public static final String`
  `FLAG_QUIET`
  `"-O-"`
  `public static final String`
  `FLAG_RECURSION`
  `"-R"`
  `public static final String`
  `FLAG_REPLACE_WRITABLE`
  `"-GWR"`
  `public static final String`
  `FLAG_SKIP_WRITABLE`
  `"-GWS"`
  `public static final String`
  `FLAG_USER`
  `"-U"`
  `public static final String`
  `FLAG_VERSION`
  `"-V"`
  `public static final String`
  `FLAG_VERSION_DATE`
  `"-Vd"`
  `public static final String`
  `FLAG_VERSION_LABEL`
  `"-VL"`
  `public static final String`
  `FLAG_WRITABLE`
  `"-W"`
  `public static final String`
  `PROJECT_PREFIX`
  `"$"`
  `public static final String`
  `SS_EXE`
  `"ss"`
  `public static final String`
  `STYLE_BRIEF`
  `"brief"`
  `public static final String`
  `STYLE_CODEDIFF`
  `"codediff"`
  `public static final String`
  `STYLE_DEFAULT`
  `"default"`
  `public static final String`
  `STYLE_NOFILE`
  `"nofile"`
  `public static final String`
  `TIME_CURRENT`
  `"current"`
  `public static final String`
  `TIME_MODIFIED`
  `"modified"`
  `public static final String`
  `TIME_UPDATED`
  `"updated"`
  `public static final String`
  `VALUE_FROMDATE`
  `"~d"`
  `public static final String`
  `VALUE_FROMLABEL`
  `"~L"`
  `public static final String`
  `VALUE_NO`
  `"-N"`
  `public static final String`
  `VALUE_YES`
  `"-Y"`
  `public static final String`
  `WRITABLE_FAIL`
  `"fail"`
  `public static final String`
  `WRITABLE_REPLACE`
  `"replace"`
  `public static final String`
  `WRITABLE_SKIP`
  `"skip"`

- org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RMI_SKEL_SUFFIX`
  `"_Skel"`
  `public static final String`
  `RMI_STUB_SUFFIX`
  `"_Stub"`
  `public static final String`
  `RMI_TIE_SUFFIX`
  `"_Tie"`
  `public static final String`
  `STUB_1_1`
  `"-v1.1"`
  `public static final String`
  `STUB_1_2`
  `"-v1.2"`
  `public static final String`
  `STUB_COMPAT`
  `"-vcompat"`
  `public static final String`
  `STUB_OPTION_1_1`
  `"1.1"`
  `public static final String`
  `STUB_OPTION_1_2`
  `"1.2"`
  `public static final String`
  `STUB_OPTION_COMPAT`
  `"compat"`
- org.apache.tools.ant.taskdefs.rmic.ForkingSunRmic
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPILER_NAME`
  `"forking"`
- org.apache.tools.ant.taskdefs.rmic.KaffeRmic
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPILER_NAME`
  `"kaffe"`
- org.apache.tools.ant.taskdefs.rmic.RmicAdapterFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_COMPILER`
  `"default"`
  `public static final String`
  `ERROR_NOT_RMIC_ADAPTER`
  `"Class of unexpected Type: "`
  `public static final String`
  `ERROR_UNKNOWN_COMPILER`
  `"Class not found: "`
- org.apache.tools.ant.taskdefs.rmic.SunRmic
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPILER_NAME`
  `"sun"`
  `public static final String`
  `ERROR_NO_RMIC_ON_CLASSPATH`
  `"Cannot use SUN rmic, as it is not available. A common solution is to set the environment variable JAVA_HOME"`
  `public static final String`
  `ERROR_NO_RMIC_ON_CLASSPATH_JAVA_9`
  `"Cannot use SUN rmic, as it is not available. The class we try to use is part of the jdk.rmic module which may not be. Please use the \'forking\' compiler for JDK 9+"`
  `public static final String`
  `ERROR_RMIC_FAILED`
  `"Error starting SUN rmic: "`
  `public static final String`
  `RMIC_CLASSNAME`
  `"sun.rmi.rmic.Main"`
  `public static final String`
  `RMIC_EXECUTABLE`
  `"rmic"`
- org.apache.tools.ant.taskdefs.rmic.WLRmic
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPILER_NAME`
  `"weblogic"`
  `public static final String`
  `ERROR_NO_WLRMIC_ON_CLASSPATH`
  `"Cannot use WebLogic rmic, as it is not available. Add it to Ant\'s classpath with the -lib option"`
  `public static final String`
  `ERROR_WLRMIC_FAILED`
  `"Error starting WebLogic rmic: "`
  `public static final String`
  `UNSUPPORTED_STUB_OPTION`
  `"Unsupported stub option: "`
  `public static final String`
  `WL_RMI_SKEL_SUFFIX`
  `"_WLSkel"`
  `public static final String`
  `WL_RMI_STUB_SUFFIX`
  `"_WLStub"`
  `public static final String`
  `WLRMIC_CLASSNAME`
  `"weblogic.rmic"`
- org.apache.tools.ant.taskdefs.rmic.XNewRmic
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMPILER_NAME`
  `"xnew"`

- org.apache.tools.ant.types.ArchiveFileSet
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_DIR_MODE`
  `16877`
  `public static final int`
  `DEFAULT_FILE_MODE`
  `33188`
- org.apache.tools.ant.types.FilterSet
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_TOKEN_END`
  `"@"`
  `public static final String`
  `DEFAULT_TOKEN_START`
  `"@"`
- org.apache.tools.ant.types.RegularExpression
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATA_TYPE_NAME`
  `"regexp"`
- org.apache.tools.ant.types.Resource
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `UNKNOWN_DATETIME`
  `0L`
  `public static final long`
  `UNKNOWN_SIZE`
  `-1L`
- org.apache.tools.ant.types.Substitution
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATA_TYPE_NAME`
  `"substitution"`
- org.apache.tools.ant.types.XMLCatalog
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `APACHE_RESOLVER`
  `"org.apache.tools.ant.types.resolver.ApacheCatalogResolver"`
  `public static final String`
  `CATALOG_RESOLVER`
  `"org.apache.xml.resolver.tools.CatalogResolver"`

- org.apache.tools.ant.types.optional.depend.DependScanner
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_ANALYZER_CLASS`
  `"org.apache.tools.ant.util.depend.bcel.FullAnalyzer"`

- org.apache.tools.ant.types.optional.image.ColorMapper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COLOR_BLACK`
  `"black"`
  `public static final String`
  `COLOR_BLUE`
  `"blue"`
  `public static final String`
  `COLOR_CYAN`
  `"cyan"`
  `public static final String`
  `COLOR_DARKGRAY`
  `"darkgray"`
  `public static final String`
  `COLOR_DARKGREY`
  `"darkgrey"`
  `public static final String`
  `COLOR_GRAY`
  `"gray"`
  `public static final String`
  `COLOR_GREEN`
  `"green"`
  `public static final String`
  `COLOR_GREY`
  `"grey"`
  `public static final String`
  `COLOR_LIGHTGRAY`
  `"lightgray"`
  `public static final String`
  `COLOR_LIGHTGREY`
  `"lightgrey"`
  `public static final String`
  `COLOR_MAGENTA`
  `"magenta"`
  `public static final String`
  `COLOR_ORANGE`
  `"orange"`
  `public static final String`
  `COLOR_PINK`
  `"pink"`
  `public static final String`
  `COLOR_RED`
  `"red"`
  `public static final String`
  `COLOR_WHITE`
  `"white"`
  `public static final String`
  `COLOR_YELLOW`
  `"yellow"`

- org.apache.tools.ant.types.optional.imageio.ColorMapper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COLOR_BLACK`
  `"black"`
  `public static final String`
  `COLOR_BLUE`
  `"blue"`
  `public static final String`
  `COLOR_CYAN`
  `"cyan"`
  `public static final String`
  `COLOR_DARKGRAY`
  `"darkgray"`
  `public static final String`
  `COLOR_DARKGREY`
  `"darkgrey"`
  `public static final String`
  `COLOR_GRAY`
  `"gray"`
  `public static final String`
  `COLOR_GREEN`
  `"green"`
  `public static final String`
  `COLOR_GREY`
  `"grey"`
  `public static final String`
  `COLOR_LIGHTGRAY`
  `"lightgray"`
  `public static final String`
  `COLOR_LIGHTGREY`
  `"lightgrey"`
  `public static final String`
  `COLOR_MAGENTA`
  `"magenta"`
  `public static final String`
  `COLOR_ORANGE`
  `"orange"`
  `public static final String`
  `COLOR_PINK`
  `"pink"`
  `public static final String`
  `COLOR_RED`
  `"red"`
  `public static final String`
  `COLOR_WHITE`
  `"white"`
  `public static final String`
  `COLOR_YELLOW`
  `"yellow"`

- org.apache.tools.ant.types.selectors.ContainsRegexpSelector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `EXPRESSION_KEY`
  `"expression"`
- org.apache.tools.ant.types.selectors.ContainsSelector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CASE_KEY`
  `"casesensitive"`
  `public static final String`
  `CONTAINS_KEY`
  `"text"`
  `public static final String`
  `EXPRESSION_KEY`
  `"expression"`
  `public static final String`
  `WHITESPACE_KEY`
  `"ignorewhitespace"`
- org.apache.tools.ant.types.selectors.DateSelector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CHECKDIRS_KEY`
  `"checkdirs"`
  `public static final String`
  `DATETIME_KEY`
  `"datetime"`
  `public static final String`
  `GRANULARITY_KEY`
  `"granularity"`
  `public static final String`
  `MILLIS_KEY`
  `"millis"`
  `public static final String`
  `PATTERN_KEY`
  `"pattern"`
  `public static final String`
  `WHEN_KEY`
  `"when"`
- org.apache.tools.ant.types.selectors.DepthSelector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAX_KEY`
  `"max"`
  `public static final String`
  `MIN_KEY`
  `"min"`
- org.apache.tools.ant.types.selectors.FilenameSelector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CASE_KEY`
  `"casesensitive"`
  `public static final String`
  `NAME_KEY`
  `"name"`
  `public static final String`
  `NEGATE_KEY`
  `"negate"`
  `public static final String`
  `REGEX_KEY`
  `"regex"`
- org.apache.tools.ant.types.selectors.SelectorUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEEP_TREE_MATCH`
  `"**"`
- org.apache.tools.ant.types.selectors.SizeSelector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SIZE_KEY`
  `"value"`
  `public static final String`
  `UNITS_KEY`
  `"units"`
  `public static final String`
  `WHEN_KEY`
  `"when"`
- org.apache.tools.ant.types.selectors.TypeSelector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TYPE_KEY`
  `"type"`
- org.apache.tools.ant.types.selectors.TypeSelector.FileType
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DIR`
  `"dir"`
  `public static final String`
  `FILE`
  `"file"`

- org.apache.tools.ant.util.ClasspathUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `REUSE_LOADER_REF`
  `"ant.reuse.loader"`
- org.apache.tools.ant.util.DateUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ISO8601_DATE_PATTERN`
  `"yyyy-MM-dd"`
  `public static final String`
  `ISO8601_DATETIME_PATTERN`
  `"yyyy-MM-dd\'T\'HH:mm:ss"`
  `public static final String`
  `ISO8601_TIME_PATTERN`
  `"HH:mm:ss"`
- org.apache.tools.ant.util.FileUtils
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `FAT_FILE_TIMESTAMP_GRANULARITY`
  `2000L`
  `public static final long`
  `NTFS_FILE_TIMESTAMP_GRANULARITY`
  `1L`
  `public static final long`
  `UNIX_FILE_TIMESTAMP_GRANULARITY`
  `1000L`
- org.apache.tools.ant.util.JavaEnvUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JAVA_1_0`
  `"1.0"`
  `public static final String`
  `JAVA_1_1`
  `"1.1"`
  `public static final String`
  `JAVA_1_2`
  `"1.2"`
  `public static final String`
  `JAVA_1_3`
  `"1.3"`
  `public static final String`
  `JAVA_1_4`
  `"1.4"`
  `public static final String`
  `JAVA_1_5`
  `"1.5"`
  `public static final String`
  `JAVA_1_6`
  `"1.6"`
  `public static final String`
  `JAVA_1_7`
  `"1.7"`
  `public static final String`
  `JAVA_1_8`
  `"1.8"`
  `public static final String`
  `JAVA_1_9`
  `"1.9"`
  `public static final String`
  `JAVA_10`
  `"10"`
  `public static final String`
  `JAVA_11`
  `"11"`
  `public static final String`
  `JAVA_12`
  `"12"`
  `public static final String`
  `JAVA_9`
  `"9"`
  `public static final int`
  `VERSION_1_0`
  `10`
  `public static final int`
  `VERSION_1_1`
  `11`
  `public static final int`
  `VERSION_1_2`
  `12`
  `public static final int`
  `VERSION_1_3`
  `13`
  `public static final int`
  `VERSION_1_4`
  `14`
  `public static final int`
  `VERSION_1_5`
  `15`
  `public static final int`
  `VERSION_1_6`
  `16`
  `public static final int`
  `VERSION_1_7`
  `17`
  `public static final int`
  `VERSION_1_8`
  `18`
  `public static final int`
  `VERSION_1_9`
  `19`
  `public static final int`
  `VERSION_10`
  `100`
  `public static final int`
  `VERSION_11`
  `110`
  `public static final int`
  `VERSION_12`
  `120`
  `public static final int`
  `VERSION_9`
  `90`
- org.apache.tools.ant.util.OutputStreamFunneler
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `DEFAULT_TIMEOUT_MILLIS`
  `1000L`
- org.apache.tools.ant.util.ProxySetup
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FTP_NON_PROXY_HOSTS`
  `"ftp.nonProxyHosts"`
  `public static final String`
  `FTP_PROXY_HOST`
  `"ftp.proxyHost"`
  `public static final String`
  `FTP_PROXY_PORT`
  `"ftp.proxyPort"`
  `public static final String`
  `HTTP_NON_PROXY_HOSTS`
  `"http.nonProxyHosts"`
  `public static final String`
  `HTTP_PROXY_HOST`
  `"http.proxyHost"`
  `public static final String`
  `HTTP_PROXY_PASSWORD`
  `"http.proxyPassword"`
  `public static final String`
  `HTTP_PROXY_PORT`
  `"http.proxyPort"`
  `public static final String`
  `HTTP_PROXY_USERNAME`
  `"http.proxyUser"`
  `public static final String`
  `HTTPS_NON_PROXY_HOSTS`
  `"https.nonProxyHosts"`
  `public static final String`
  `HTTPS_PROXY_HOST`
  `"https.proxyHost"`
  `public static final String`
  `HTTPS_PROXY_PORT`
  `"https.proxyPort"`
  `public static final String`
  `SOCKS_PROXY_HOST`
  `"socksProxyHost"`
  `public static final String`
  `SOCKS_PROXY_PASSWORD`
  `"java.net.socks.password"`
  `public static final String`
  `SOCKS_PROXY_PORT`
  `"socksProxyPort"`
  `public static final String`
  `SOCKS_PROXY_USERNAME`
  `"java.net.socks.username"`
  `public static final String`
  `USE_SYSTEM_PROXIES`
  `"java.net.useSystemProxies"`
- org.apache.tools.ant.util.ResourceUtils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ISO_8859_1`
  `"ISO-8859-1"`
- org.apache.tools.ant.util.Retryable
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `RETRY_FOREVER`
  `-1`
- org.apache.tools.ant.util.UUEncoder
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `DEFAULT_MODE`
  `644`
- org.apache.tools.ant.util.Watchdog
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_INVALID_TIMEOUT`
  `"timeout less than 1."`
- org.apache.tools.ant.util.WorkerAnt
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ERROR_NO_TASK`
  `"No task defined"`
- org.apache.tools.ant.util.XmlConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FEATURE_DISALLOW_DTD`
  `"http://apache.org/xml/features/disallow-doctype-decl"`
  `public static final String`
  `FEATURE_EXTERNAL_ENTITIES`
  `"http://xml.org/sax/features/external-general-entities"`
  `public static final String`
  `FEATURE_JAXP12_SCHEMA_LANGUAGE`
  `"http://java.sun.com/xml/jaxp/properties/schemaLanguage"`
  `public static final String`
  `FEATURE_JAXP12_SCHEMA_SOURCE`
  `"http://java.sun.com/xml/jaxp/properties/schemaSource"`
  `public static final String`
  `FEATURE_NAMESPACES`
  `"http://xml.org/sax/features/namespaces"`
  `public static final String`
  `FEATURE_VALIDATION`
  `"http://xml.org/sax/features/validation"`
  `public static final String`
  `FEATURE_XSD`
  `"http://apache.org/xml/features/validation/schema"`
  `public static final String`
  `FEATURE_XSD_FULL_VALIDATION`
  `"http://apache.org/xml/features/validation/schema-full-checking"`
  `public static final String`
  `PROPERTY_NO_NAMESPACE_SCHEMA_LOCATION`
  `"http://apache.org/xml/properties/schema/external-noNamespaceSchemaLocation"`
  `public static final String`
  `PROPERTY_SCHEMA_LOCATION`
  `"http://apache.org/xml/properties/schema/external-schemaLocation"`
  `public static final String`
  `URI_XSD`
  `"http://www.w3.org/2001/XMLSchema"`

- org.apache.tools.ant.util.depend.AbstractAnalyzer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_LOOPS`
  `1000`

- org.apache.tools.ant.util.java15.ProxyDiagnostics
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_DESTINATION`
  `"https://ant.apache.org/"`

- org.apache.tools.ant.util.regexp.Regexp
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `REPLACE_ALL`
  `16`
  `public static final int`
  `REPLACE_FIRST`
  `1`
- org.apache.tools.ant.util.regexp.RegexpMatcher
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MATCH_CASE_INSENSITIVE`
  `256`
  `public static final int`
  `MATCH_DEFAULT`
  `0`
  `public static final int`
  `MATCH_MULTILINE`
  `4096`
  `public static final int`
  `MATCH_SINGLELINE`
  `65536`

- org.apache.tools.bzip2.BZip2Constants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `baseBlockSize`
  `100000`
  `public static final int`
  `G_SIZE`
  `50`
  `public static final int`
  `MAX_ALPHA_SIZE`
  `258`
  `public static final int`
  `MAX_CODE_LEN`
  `23`
  `public static final int`
  `MAX_SELECTORS`
  `18002`
  `public static final int`
  `N_GROUPS`
  `6`
  `public static final int`
  `N_ITERS`
  `4`
  `public static final int`
  `NUM_OVERSHOOT_BYTES`
  `20`
  `public static final int`
  `RUNA`
  `0`
  `public static final int`
  `RUNB`
  `1`
- org.apache.tools.bzip2.CBZip2OutputStream
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `CLEARMASK`
  `-2097153`
  `protected static final int`
  `DEPTH_THRESH`
  `10`
  `protected static final int`
  `GREATER_ICOST`
  `15`
  `protected static final int`
  `LESSER_ICOST`
  `0`
  `public static final int`
  `MAX_BLOCKSIZE`
  `9`
  `public static final int`
  `MIN_BLOCKSIZE`
  `1`
  `protected static final int`
  `QSORT_STACK_SIZE`
  `1000`
  `protected static final int`
  `SETMASK`
  `2097152`
  `protected static final int`
  `SMALL_THRESH`
  `20`
  `protected static final int`
  `WORK_FACTOR`
  `30`

- org.apache.tools.mail.MailMessage
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_HOST`
  `"localhost"`
  `public static final int`
  `DEFAULT_PORT`
  `25`

- org.apache.tools.tar.TarBuffer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BLKSIZE`
  `10240`
  `public static final int`
  `DEFAULT_RCDSIZE`
  `512`
- org.apache.tools.tar.TarConstants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ATIMELEN_GNU`
  `12`
  `public static final int`
  `CHKSUMLEN`
  `8`
  `public static final int`
  `CTIMELEN_GNU`
  `12`
  `public static final int`
  `DEVLEN`
  `8`
  `public static final int`
  `FORMAT_OLDGNU`
  `2`
  `public static final int`
  `FORMAT_POSIX`
  `3`
  `public static final int`
  `GIDLEN`
  `8`
  `public static final int`
  `GNAMELEN`
  `32`
  `public static final String`
  `GNU_LONGLINK`
  `"././@LongLink"`
  `public static final String`
  `GNU_TMAGIC`
  `"ustar "`
  `public static final int`
  `ISEXTENDEDLEN_GNU`
  `1`
  `public static final int`
  `ISEXTENDEDLEN_GNU_SPARSE`
  `1`
  `public static final byte`
  `LF_BLK`
  `0x34`
  `public static final byte`
  `LF_CHR`
  `0x33`
  `public static final byte`
  `LF_CONTIG`
  `0x37`
  `public static final byte`
  `LF_DIR`
  `0x35`
  `public static final byte`
  `LF_FIFO`
  `0x36`
  `public static final byte`
  `LF_GNUTYPE_LONGLINK`
  `0x4b`
  `public static final byte`
  `LF_GNUTYPE_LONGNAME`
  `0x4c`
  `public static final byte`
  `LF_GNUTYPE_SPARSE`
  `0x53`
  `public static final byte`
  `LF_LINK`
  `0x31`
  `public static final byte`
  `LF_NORMAL`
  `0x30`
  `public static final byte`
  `LF_OLDNORM`
  `0x0`
  `public static final byte`
  `LF_PAX_EXTENDED_HEADER_LC`
  `0x78`
  `public static final byte`
  `LF_PAX_EXTENDED_HEADER_UC`
  `0x58`
  `public static final byte`
  `LF_PAX_GLOBAL_EXTENDED_HEADER`
  `0x67`
  `public static final byte`
  `LF_SYMLINK`
  `0x32`
  `public static final int`
  `LONGNAMESLEN_GNU`
  `4`
  `public static final int`
  `MAGIC_OFFSET`
  `257`
  `public static final String`
  `MAGIC_POSIX`
  `"ustar\u0000"`
  `public static final int`
  `MAGICLEN`
  `8`
  `public static final long`
  `MAXID`
  `2097151L`
  `public static final long`
  `MAXSIZE`
  `8589934591L`
  `public static final int`
  `MODELEN`
  `8`
  `public static final int`
  `MODTIMELEN`
  `12`
  `public static final int`
  `NAMELEN`
  `100`
  `public static final int`
  `OFFSETLEN_GNU`
  `12`
  `public static final int`
  `PAD2LEN_GNU`
  `1`
  `public static final int`
  `PREFIXLEN`
  `155`
  `public static final int`
  `PURE_MAGICLEN`
  `6`
  `public static final int`
  `REALSIZELEN_GNU`
  `12`
  `public static final int`
  `SIZELEN`
  `12`
  `public static final int`
  `SPARSELEN_GNU`
  `96`
  `public static final int`
  `SPARSELEN_GNU_SPARSE`
  `504`
  `public static final String`
  `TMAGIC`
  `"ustar"`
  `public static final int`
  `UIDLEN`
  `8`
  `public static final int`
  `UNAMELEN`
  `32`
  `public static final String`
  `VERSION_GNU_SPACE`
  `" \u0000"`
  `public static final String`
  `VERSION_GNU_ZERO`
  `"0\u0000"`
  `public static final int`
  `VERSION_OFFSET`
  `263`
  `public static final String`
  `VERSION_POSIX`
  `"00"`
  `public static final int`
  `VERSIONLEN`
  `2`
- org.apache.tools.tar.TarEntry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_DIR_MODE`
  `16877`
  `public static final int`
  `DEFAULT_FILE_MODE`
  `33188`
  `public static final int`
  `MAX_NAMELEN`
  `31`
  `public static final int`
  `MILLIS_PER_SECOND`
  `1000`
- org.apache.tools.tar.TarOutputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BIGNUMBER_ERROR`
  `0`
  `public static final int`
  `BIGNUMBER_POSIX`
  `2`
  `public static final int`
  `BIGNUMBER_STAR`
  `1`
  `public static final int`
  `LONGFILE_ERROR`
  `0`
  `public static final int`
  `LONGFILE_GNU`
  `2`
  `public static final int`
  `LONGFILE_POSIX`
  `3`
  `public static final int`
  `LONGFILE_TRUNCATE`
  `1`

- org.apache.tools.zip.ExtraFieldUtils.UnparseableExtraField
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `READ_KEY`
  `2`
  `public static final int`
  `SKIP_KEY`
  `1`
  `public static final int`
  `THROW_KEY`
  `0`
- org.apache.tools.zip.GeneralPurposeBit
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `UFT8_NAMES_FLAG`
  `2048`
- org.apache.tools.zip.UnixStat
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_DIR_PERM`
  `493`
  `public static final int`
  `DEFAULT_FILE_PERM`
  `420`
  `public static final int`
  `DEFAULT_LINK_PERM`
  `511`
  `public static final int`
  `DIR_FLAG`
  `16384`
  `public static final int`
  `FILE_FLAG`
  `32768`
  `public static final int`
  `LINK_FLAG`
  `40960`
  `public static final int`
  `PERM_MASK`
  `4095`
- org.apache.tools.zip.ZipEntry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `CRC_UNKNOWN`
  `-1`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`
  `public static final int`
  `PLATFORM_FAT`
  `0`
  `public static final int`
  `PLATFORM_UNIX`
  `3`
- org.apache.tools.zip.ZipOutputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_COMPRESSION`
  `-1`
  `public static final int`
  `DEFLATED`
  `8`
  `public static final int`
  `EFS_FLAG`
  `2048`
  `public static final int`
  `STORED`
  `0`